package de.hdm_stuttgart.mi.sd1.plot;


/**
 * A simple http://logging.apache.org/log4j/2.x demo,
 *  see file log4j2.xml for configuration options.
 * 
 */
public class Driver {

    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
        final Plotter plotter = new Plotter();
        
        plotter.setNumTics(80, 40);// 80 characters vertical, 40 characters horizontal
        plotter.setXrange(0, 2 * Math.PI);
        plotter.setYrange(-1, 1);
        
        plotter.plot(x -> Math.sin(x));
        plotter.plot(x -> Math.cos(x));
    }
}
